/* Place your CSS styles in this file */
html {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

.home-section{
    height: 100vh;
    background-image: url('images/background.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
    text-align: center;
    transition: background 1s ease-in-out;
}

.home-section::after{
    content: "";
    position: absolute;
    top: 90%;
    left: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient(to bottom, rgba(0,0,0,0), white);
    z-index: 1;
}

.home-section h1 {
    z-index: 2;
    position: relative;
    text-shadow: 0 2px 5px rgba(0,0,0,0.5);
}

.custom-hover-card .download-btn {
  opacity: 0;
  transform: translateY(10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.custom-hover-card:hover .download-btn {
  opacity: 1;
  transform: translateY(0);
}

.card-container {
      display: grid;
      grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
      gap: 20px;
      padding: 20px;
}

.card {
    border: 1px solid #ccc;
    border-radius: 8px;
    padding: 16px;
    background-color: #f9f9f9;
    height: 500px;
}

.card h3 {
    margin-top: 0;
}

.custom-hover-card .watch-btn {
  opacity: 0;
  transform: translateY(10px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.custom-hover-card:hover .watch-btn {
  opacity: 1;
  transform: translateY(0);
}

.card-img-top {
  height: 180px;
  object-fit: cover;
}

.card-img-consistent{
  height : 375px;
  object-fit: cover;
  width: 100%;
}

.card-fixed {
  width: 300px;
  height: 400px;
}

